Bug 678543 - Remove gnome-python2-gnome dependency
Summary: Remove gnome-python2-gnome dependency
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot   
(Show other bugs)
Version: 15
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 11:32 UTC by Nicola Soranzo
Modified: 2011-03-04 10:06 UTC (History)
3 users (show)

Fixed In Version: setroubleshoot-3.0.30-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-04 10:06:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicola Soranzo 2011-02-18 11:32:35 UTC
Description of problem:
setroubleshoot Requires: gnome-python2-gnome in its spec file, but a simple:

rpm -ql setroubleshoot | grep py | xargs grep 'import.*gnome'

outputs only a commented line:

/usr/lib64/python2.7/site-packages/setroubleshoot/gui_utils.py:#import gnome

Anyway, gnome-python is deprecated for GNOME3, applications should use PyGObject. Moreover, Fedora is trying to remove hal from the distribution, see:

https://fedoraproject.org/wiki/Features/HalRemoval

setroubleshoot is one of the last packages requiring hal in the Desktop spin:

setroubleshoot -> gnome-python2-gnome -> gnome-vfs2 -> hal-libs

Version-Release number of selected component (if applicable):
setroubleshoot-3.0.26-1.fc15

Comment 1 Daniel Walsh 2011-02-18 16:27:22 UTC
Fixed in setroubleshoot-3.0.27-1.fc15

Comment 2 Fedora Update System 2011-02-18 20:41:39 UTC
setroubleshoot-3.0.28-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/setroubleshoot-3.0.28-1.fc15

Comment 3 Fedora Update System 2011-02-19 02:51:12 UTC
setroubleshoot-3.0.28-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/setroubleshoot-3.0.28-1.fc15

Comment 4 Fedora Update System 2011-03-01 16:15:45 UTC
Package setroubleshoot-3.0.30-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing setroubleshoot-3.0.30-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/setroubleshoot-3.0.30-1.fc15
then log in and leave karma (feedback).

Comment 5 James Laska 2011-03-03 19:22:09 UTC
Confirmed that setroubleshoot no longer requires gnome-python2-gnome 

== AFTER ==
# rpm -qp --requires setroubleshoot-3.0.26-1.fc15.x86_64.rpm  | grep gnome
gnome-python2-canvas  
gnome-python2-gnome  
gnome-python2-gnomekeyring  
gnome-python2-gtkhtml2  

== AFTER ==
# rpm -q --requires setroubleshoot-3.0.30-1.fc15  | grep gnome
gnome-python2-gnomekeyring

Comment 6 Fedora Update System 2011-03-04 10:05:59 UTC
setroubleshoot-3.0.30-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.